
Katello - Feature #24169

API actions for System Purpose on a Host

07/05/2018 10:13 PM - Jonathon Turel

Status: Rejected   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As an API User I can set and modify the system purpose attributes of my host so that

auto-attach can bind the best available subscriptions

Acceptance Criteria

system purpose attributes can be set when creating a host

system purpose attributes can be set on an existing host

system purpose attributes can be set to nil values (they are not required)

system purpose attributes are shown when retrieving host details

Related issues:

Blocks Katello - Feature #24075: System Purpose P1, P2 Closed

History

#1 - 07/05/2018 10:14 PM - Jonathon Turel

- Blocks Feature #24075: System Purpose P1, P2 added

#2 - 07/05/2018 10:39 PM - Jonathon Turel

- Subject changed from CRUD actions for System Purpose on a Host to API actions for System Purpose on a Host

#3 - 07/18/2018 06:32 PM - Jonathon Turel

- Target version changed from Katello 3.8.0 to Katello 3.9.0

#4 - 10/10/2018 05:08 PM - Jonathon Turel

- Status changed from New to Rejected

- Target version deleted (Katello 3.9.0)
